function mk_callout_action(){
    'use strict';
    
    if( $.exists('.mk-call-to-action')){

        $('.mk-call-to-action').find('.mk-inner-grid').each(function(){

            var $this = $(this);
            var callout_btn = $this.children('.mk-button-align.right');
            var callout_desc = $this.children('.callout-desc');

            if(callout_btn.length > 0  && callout_desc.length > 0){

                if(window.matchMedia('(max-width: 770px)').matches){
                    callout_responsive();
                }else{
                    callout_desktop();
                }

            }

            //for small device
            function callout_responsive(){

                $this.empty().append(callout_desc).append(callout_btn); 

            }

            //for normal screen
             function callout_desktop(){

                $this.empty().append(callout_btn).append(callout_desc);

            }

        });

    }

}